> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List limited users, roles and service identities

> Registry admins: everyone limited or given an item, and every service
identity. Everything Global is open to anyone not limited.



## OpenAPI

````yaml get /api/registry/access
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/registry/access:
    get:
      tags:
        - Registry
      summary: List limited users, roles and service identities
      description: |-
        Registry admins: everyone limited or given an item, and every service
        identity. Everything Global is open to anyone not limited.
      operationId: access_overview_api_registry_access_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccessOverview'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    AccessOverview:
      properties:
        principals:
          items:
            $ref: '#/components/schemas/PrincipalSummary'
          type: array
          title: Principals
      type: object
      title: AccessOverview
      description: Everyone limited or given something, and every service identity.
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    PrincipalSummary:
      properties:
        kind:
          type: string
          enum:
            - user
            - role
            - identity
          title: Kind
        name:
          type: string
          title: Name
        limited:
          type: boolean
          title: Limited
        items:
          type: integer
          title: Items
          default: 0
      type: object
      required:
        - kind
        - name
        - limited
      title: PrincipalSummary
      description: A row of the Access page's list.
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.